curl -X GET 'https://crypto-api.yativo.com/api/analytics/dashboard-analytics' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"data": {
"totalAccountValue": 2.47,
"depositTransactions": [],
"chartTransactions": [
{"_id": {"year": 2026, "month": 1}, "totalAmount": 0, "count": 117},
{"_id": {"year": 2026, "month": 2}, "totalAmount": 0, "count": 304},
{"_id": {"year": 2026, "month": 3}, "totalAmount": 0, "count": 345}
],
"chartUsers": [
{"_id": {"year": 2026, "month": 1}, "count": 4},
{"_id": {"year": 2026, "month": 2}, "count": 3},
{"_id": {"year": 2026, "month": 3}, "count": 2}
]
},
"status": true,
"message": "Analytics Listed Successfully"
}
Get dashboard analytics including total account value, transaction volume chart, and user growth.
curl -X GET 'https://crypto-api.yativo.com/api/analytics/dashboard-analytics' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"data": {
"totalAccountValue": 2.47,
"depositTransactions": [],
"chartTransactions": [
{"_id": {"year": 2026, "month": 1}, "totalAmount": 0, "count": 117},
{"_id": {"year": 2026, "month": 2}, "totalAmount": 0, "count": 304},
{"_id": {"year": 2026, "month": 3}, "totalAmount": 0, "count": 345}
],
"chartUsers": [
{"_id": {"year": 2026, "month": 1}, "count": 4},
{"_id": {"year": 2026, "month": 2}, "count": 3},
{"_id": {"year": 2026, "month": 3}, "count": 2}
]
},
"status": true,
"message": "Analytics Listed Successfully"
}
Bearer YOUR_ACCESS_TOKEN2026-03-012026-03-31Response Type Definitions
interface AnalyticsOverviewResponse {
status: "success";
data: {
period: { from: string; to: string };
transactions: {
total_count: number;
total_volume_usd: string;
successful: number;
failed: number;
pending: number;
};
accounts: {
total: number;
active: number;
new_this_period: number;
};
top_assets: Array<{
symbol: string;
network: string;
volume_usd: string;
count: number;
}>;
};
}
curl -X GET 'https://crypto-api.yativo.com/api/analytics/dashboard-analytics' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"data": {
"totalAccountValue": 2.47,
"depositTransactions": [],
"chartTransactions": [
{"_id": {"year": 2026, "month": 1}, "totalAmount": 0, "count": 117},
{"_id": {"year": 2026, "month": 2}, "totalAmount": 0, "count": 304},
{"_id": {"year": 2026, "month": 3}, "totalAmount": 0, "count": 345}
],
"chartUsers": [
{"_id": {"year": 2026, "month": 1}, "count": 4},
{"_id": {"year": 2026, "month": 2}, "count": 3},
{"_id": {"year": 2026, "month": 3}, "count": 2}
]
},
"status": true,
"message": "Analytics Listed Successfully"
}